#version 120
#define lowp
#define highp

uniform highp float u_pointsize;
uniform mat4 u_mvp;
attribute highp vec3 a_coord2d;
varying highp float v_intensity;

void main(void) {
	gl_PointSize = u_pointsize;
	v_intensity = a_coord2d.z;
	gl_Position = u_mvp * vec4(a_coord2d.xy, 0.0, 1.0);
}
